#ifndef KYLIN_IMAGE_CODEC_LOADMOVIE_H_
#define KYLIN_IMAGE_CODEC_LOADMOVIE_H_

#include <QThread>
#include <QMovie>

#include "kylin_image_codec/kylinimagecodec_global.hpp"

namespace kdk
{
namespace kabase
{

using namespace cv;

class LoadMovie : public QThread
{
    Q_OBJECT

Q_SIGNALS:
    void loadMovieFinish(const QString &path);

public:
    LoadMovie(QList<Mat> *list, QMovie *movie);

protected:
    void run();

private:
    QList<Mat> *m_list = nullptr;
    QMovie *m_movie = nullptr;
};

} // namespace kabase
} // namespace kdk

#endif // LOADMOVIE_H
